package cn.pluss.platform.roleInfo;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.RoleInfo;
import cn.pluss.platform.entity.UserInfo;
import com.baomidou.mybatisplus.extension.service.IService;

public interface RoleInfoService extends IService<RoleInfo> {

    RoleInfo queryRoleInfo(RoleInfo roleInfo);

    List<RoleInfo> queryRoleInfoList(RoleInfo roleInfo);

    void saveRoleInfo(RoleInfo roleInfo);

    void updateRoleInfo(RoleInfo roleInfo);

    void deleteRoleInfo(RoleInfo roleInfo);

    List<RoleInfo> queryRoleInfoPage(Map map);

    Integer queryRoleInfoPageCount(Map map);

    void saveRoleInfoBatch(List<RoleInfo> roleInfoList);

     List<RoleInfo> getRoleNames(String loginName);

    List<RoleInfo> getRolesByUser(UserInfo userInfo);
}

